<!DOCTYPE html>

<html>

<head>
    <title>表单设计器</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<meta name="renderer" content="webkit">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<meta name="apple-mobile-web-app-status-bar-style" content="black">
	<meta name="apple-mobile-web-app-capable" content="yes">
	<meta name="format-detection" content="telephone=no">
	<link rel="stylesheet" href="${request.contextPath}<@jstime url='/static/libs/formdesign/style.css'> </@jstime>">
	<link href="${request.contextPath}<@jstime url='/static/libs/formdesign/css/design.css'> </@jstime>" rel="stylesheet">
	<link href="${request.contextPath}<@jstime url='/static/libs/formdesign/css/bigscreenTheme/theme.css'> </@jstime>" rel="stylesheet">
	<link rel="stylesheet" href="${request.contextPath}<@jstime url='/static/libs/formdesign/css/font-awesome/css/font-awesome.css'> </@jstime>" media="all" />
  <!-- 添加发生重大事件获取哀悼日需要把网站变灰的样式 -->
  <@config id = Global.SYSOPTKEY_ISOPENZHIHUI orgid = "${orgid}" >
      <link id="filterCss" rel="stylesheet" href="${request.contextPath}<@jstime url='/static/modules/manager/css/filter.css'> </@jstime>" media="all">
  </@config>  
    <style>
        html {
            background-color: #f2f2f2;
            color: #666;
        }
        html,
        body {
            height: 100%;
            overflow: hidden;
        }
    </style>
</head>

<body style="min-height: 660px;">
    <div class="yhdesigner" id="yhdesigner"></div>

    <input id="modelId" type="hidden" value='${modelId}'>
    <input id="tokenId" type="hidden" value='${tokenId}'>
    <input id="orgid" type="hidden" value='${oid}'>
    <input id="contextPath" type="hidden" value="${request.contextPath}" >

  	<script type="text/javascript" src="${request.contextPath}<@jstime url='/static/libs/formdesign/libs/jquery.min.js'> </@jstime>"></script>
    <script type="text/javascript" src="${request.contextPath}<@jstime url='/static/libs/formdesign/libs/layui/layui.js'> </@jstime>"></script>
	<script type="text/javascript" src="${request.contextPath}<@jstime url='/static/libs/formdesign/libs/vue.min.js'> </@jstime>"></script>
    <script type="text/javascript" src="${request.contextPath}<@jstime url='/static/libs/formdesign/libs/ztree/js/jquery.ztree.all.min.js'> </@jstime>"></script>
    <script type="text/javascript" src="${request.contextPath}<@jstime url='/static/libs/formdesign/libs/ztree/js/jquery.ztree.exhide.min.js'> </@jstime>"></script>
	<script type="text/javascript" src="${request.contextPath}<@jstime url='/static/libs/formdesign/libs/lodash.js'> </@jstime>"></script>
	<script type="text/javascript" src="${request.contextPath}<@jstime url='/static/libs/ajaxhook.min.js'> </@jstime>"></script>
    <script type="text/javascript" src="${request.contextPath}<@jstime url='/static/libs/token.js'> </@jstime>"></script>
    <!--<script type="text/javascript" src="${request.contextPath}<@jstime url='/static/libs/aes.min.js'> </@jstime>"></script>-->
    

	<!-- 让IE8/9支持媒体查询，从而兼容栅格 -->
	<!--[if lt IE 9]>
	<script src="${request.contextPath}/static/libs/html5shiv/r29/html5.min.js"></script>
	<script src="${request.contextPath}/static/libs/respond.min.js"></script>
	<![endif]-->
	
	<script>
		layui.config({
            base: '${request.contextPath}/static/framework/'
            , version: "<@configVersion suosxt='CORE'> </@configVersion>"
            <#--  , contentFormPath: '${request.contextPath}/static/libs'  -->
            , contentPath: '${request.contextPath}'
        });
	</script>
	<script>
		// 获取当前加载了多少个依赖文件
		$(function(){
			// 定义需要表单设计器需要依赖的文件，必须加载完成后才能执行表单js的文件！
			var dependencies = [
				'laypage'
				, 'laytpl'
				, 'layedit'
				, 'tree'
				, 'table'
				, 'element'
				, 'colorpicker'
				, 'flow'
				, 'util'
				, 'code'
			]
			layui.define(dependencies, function (exports) {
					"use strict";
					var script = document.createElement("script");
					script.type = "text/javascript";
					script.src = layui.cache['contentPath'] + '<@jstime url='/static/libs/formdesign/designer.js'> </@jstime>'
					document.body.appendChild(script);
					script.onload = function() {
						　window.yhdesigner.render('yhdesigner');
					}
				})
		})
	</script>
</body>

</html>