<#--获取某个表的所有列信息语句-->
<#-- 输入参数 -->
<#--tableName 表名-->

SELECT A.COLUMN_NAME AS MXZD_BIANH
       ,CASE WHEN A.DATA_TYPE='NVARCHAR2' OR A.DATA_TYPE='VARCHAR2' THEN  A.DATA_TYPE||'('||A.CHAR_LENGTH||')'  
       WHEN A.DATA_TYPE='NUMBER' AND  A.DATA_SCALE>0 THEN  A.DATA_TYPE||'('||A.DATA_PRECISION||','||A.DATA_SCALE ||')'  
       WHEN A.DATA_TYPE='NUMBER' AND A.DATA_SCALE=0 THEN  'INTEGER'                  
       ELSE  A.DATA_TYPE  END AS MXZD_ZIDLX
       ,A.DATA_SCALE AS MXZD_XIAOSJD
       ,B.COMMENTS AS MXZD_MINGC
       ,A.CHAR_LENGTH AS MXZD_ZIDCD
       ,CASE WHEN A.NULLABLE='Y' THEN 1 ELSE 0 END AS MXZD_YUNXWK
       ,1 MXZD_SHIFCJ
FROM USER_TAB_COLUMNS A
LEFT JOIN USER_COL_COMMENTS B  ON A.TABLE_NAME = B.TABLE_NAME
AND A.COLUMN_NAME = B.COLUMN_NAME
WHERE A.TABLE_NAME = UPPER('${tableName}');